#ifndef __interrupcoes_h
#define __interrupcoes_h

#include "context.h"
#include "tratador.h"

#define IRQ0      __vector_1
#define INT1      __vector_2
#define T1CAPT    __vector_3
#define T1COMPA   __vector_4
#define T1COMPB   __vector_5
#define T1OVF     __vector_6
#define IRQ7      __vector_7
#define SPISTC    __vector_8
#define UARTRX    __vector_9
#define UARTUDRE  __vector_10
#define UARTTX    __vector_11
#define ANA_COMP  __vector_12

extern "C" {
  void IRQ0();
  void IRQ7();
}

#endif
